@import "../../../../core/variables";

.container {
  display: inline-flex;
  align-items: center;
  user-select: none;

  &:not(.isDisabled) {
    cursor: pointer;
    &:not(:hover) {
      .icon {
        color: $color-gray-600;
      }

      .value {
        color: $color-gray-800;
      }
    }
    &.isRange {
      &:hover {
        box-shadow: 0 0 0 1px $color-blue;

        .rangeValue {
          border-right-color: $color-blue;
        }

        .rangeIcon {
          color: transparentize($color-blue, .2);
        }
      }
    }
  }
}

.isRange {
  box-shadow: 0 0 0 1px $color-gray-500;
  border-radius: $border-radius-sm;
  background: $color-white;

  transition: box-shadow .3s ease;
}

.rangeValue {
  padding: $indent-xs $indent-sm;
  border-right: 1px solid $color-gray-500;
  transition: border-right-color .3s ease;
}

.rangeIcon {
  padding: $indent-xs $indent-sm;
  color: $color-gray-700;
  transition: color .3s ease;
}

.icon {
  margin-right: $indent-lg;
  color: $color-gray-700;
  transition: color .3s ease;
}

.value {
  color: $color-gray-900;
  line-height: 100%;
  transition: color .3s ease;
}

.hasInputBefore {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.hasInputAfter {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}